using System;

namespace takmicenje_zad_resi
{
    class Program
    {
        static double b(int n, double[] a, double[] p)
        {
            double ske = a[n - 1];
            double mske = a[n - 1] * p[n - 1];
            for (int i = n - 2; i > 0; i--)
            {
                ske += a[i];
                if (ske * p[i] > mske) mske = ske * p[i];
            }
            return mske / 100;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n], p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            Array.Sort(p, a);
            Console.WriteLine(b(n,a,p).ToString("F4"));
        }
    }
}